Inspect

List session subagents

List the subagents of a session, newest first, including Verification agent runs Inspect started for it. Subagents are not sessions: read them through the subagent endpoints of their parent session. Sessions without a Laminar runtime return an empty list.

Base URL
GET
/api/public/v1/sessions/{session_id}/subagents

List the subagents of a session, newest first, including Verification agent runs Inspect started for it. Subagents are not sessions: read them through the subagent endpoints of their parent session. Sessions without a Laminar runtime return an empty list.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

session_id*string

The unique identifier of the session

Response Body

Subagents of the session

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/sessions/string/subagents'
Example Response
{  "data": [    {      "id": "string",      "kind": "verifier",      "name": "string",      "status": "running",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}